Quassel IRC - Bug #1030

Autojoin channel with autentication doesn't work
10/17/2010 02:06 PM - Loone

Status: Closed Start date: 10/17/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.6.2 0S: Windows
Description

Client doesn't autorejoin channels with autentication required (+r) resulting the error: Cannot join channel (+r): this channel requires
authentication -- For details of how to obtain an account visit http://www.quakenet.org/getauthed

seems it just not wait the automatic auth command

History

#1 - 08/07/2014 09:08 AM - Dr-Shadow

Problem is still here for Quassel :

Version : v0.10.0 (dist-575f27¢)

When | launch Quassel, it connects to freenode automatically but fails to aujoin +r channels
[09:02:58] * #omni: Cannot join channel (+r) - you need to be identified with services

[09:02:59] * 396 unaffiliated/dr-shadow is now your hidden host (set by services.)
[09:02:59] [NickServ] You are now identified for Dr-Shadow.

#2 - 08/07/2014 09:53 AM - Dr-Shadow
It seems to be related to this code : https://github.com/quassel/quassel/blob/master/src/core/corenetwork.cpp#L.586

The identify takes too much time and the mode is set +r on user once we already tried to join the channels.

The idea would be to sync (wait the return from nickserv) but this would lead to issues (if nickserv is not present for example).

#3 - 01/19/2018 07:50 AM - genius3000

- Status changed from New to Closed

Closed as a duplicate and SASL is the solution.
